from si_fab import all as pdk
from ipkiss3 import all as i3
import pylab as plt
import os

name = "exercise_1"

ps = pdk.PhaseShifterWaveguide(
    core_width=0.8,
    rib_width=7.8,
    length=2.0,
    junction_offset=0.2,
    p_width=6.0,
    n_width=6.0,
    pplus_offset=2.0,
    nplus_offset=2.0,
    p_contact_offset=3.0,
    n_contact_offset=3.0,
    p_contact_rows=4,
    n_contact_rows=4,
    m1_width=3.6,
    m1_offset=2.0,
    m2_width=4.8,
    m2_offset=3.2,
    n_via_rows=5,
    via_pitch=0.6,
    via_offset=3.8,
)

ps_lv = ps.Layout()
ps_lv.visualize(annotate=True)
xs = ps_lv.cross_section(cross_section_path=i3.Shape([(1.0, -10.0), (1.0, 10.0)]))
fig = xs.visualize()
fig.savefig(os.path.join(f"{name}.png"), bbox_inches="tight")
plt.close(fig)
